Loading...
Searching...
No Matches
AnalogTape.h File Reference

Header file for AnalogTape effect class. More...

`#include "../EffectBase.h"`
`#include "../Frame.h"`
`#include "../Json.h"`
`#include "../KeyFrame.h"`
`#include <algorithm>`
`#include <cmath>`
`#include <cstring>`
`#include <cstdint>`
`#include <memory>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | openshot::AnalogTape
| Analog video tape simulation effect. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Macros

#define | OS_RESTRICT

## Detailed Description

Header file for AnalogTape effect class.

Vintage home video wobble, bleed, and grain.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file AnalogTape.h.

## Macro Definition Documentation

## OS_RESTRICT

#define OS_RESTRICT

Definition at line 35 of file AnalogTape.h.